#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           konqueror
Epoch:          1
Version: 17.12.2
Release:        %mkrel %{rel}
Summary:        KDE file and web browser
License:        GPLv2+
Group:          Networking/WWW
Url:            https://konqueror.org/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

ExcludeArch:    armv5tl

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Su)
BuildRequires:  cmake(KDED)

BuildRequires:  libtidy-devel

Requires:       plasma-workspace
Requires:       keditbookmarks
Requires:       qtwebengine5
Requires:       indexhtml
Recommends:     konq-plugins
Recommends:     %{name}-handbook

Provides:       webclient

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
file-management and file previewing.

Features:
  * Webbrowsing using KHTML or KDEWebEngine as rendering engines
  * File management using most of Dolphin's features (including version-control,
    service menus and the basic UI)
  * File management on ftp and sftp servers
  * Full featured FTP-client (you can split views to display local and remote
    folders and previews in the same window)
  * Embedded applications to preview and edit files (e.g. Okular and KOffice for
    documents, Gwenview for pictures, KTextEditor for text-files)
  * Different kinds of plugins: Service-menus, KParts (embedded applications),
  * KIO (accessing files using special protocols like http or ftp) and
  * KPart-plugins (like AdBlocker...)

%files -f %name.lang
%_kf5_sysconfdir/xdg/autostart/konqy_preload.desktop
%_kf5_sysconfdir/xdg/konqueror.categories
%_kf5_bindir/%{name}
%_kf5_bindir/kfmclient
%_qt5_plugindir/kcm_bookmarks.so
%_qt5_plugindir/kcm_konq.so
%_qt5_plugindir/kcm_konqhtml.so
%_qt5_plugindir/kcm_performance.so
%_qt5_plugindir/konq_aboutpage.so
%_qt5_plugindir/konq_shellcmdplugin.so
%_kf5_plugindir/parts/webenginepart.so
%_kf5_libdir/libkdeinit5_kfmclient.so
%_kf5_libdir/libkdeinit5_konqueror.so
%_kf5_libdir/libkwebenginepartlib.so
%_kf5_applicationsdir/kfmclient.desktop
%_kf5_applicationsdir/kfmclient_html.desktop
%_kf5_applicationsdir/kfmclient_war.desktop
%_kf5_applicationsdir/konqbrowser.desktop
%_kf5_applicationsdir/kfmclient_dir.desktop
%_kf5_appdatadir/org.kde.%{name}.appdata.xml
%_kf5_datadir/kcontrol/*
%_kf5_datadir/kcmcss/template.css
%_kf5_datadir/dolphinpart/kpartplugins/kshellcmdplugin.desktop
%_kf5_datadir/dolphinpart/kpartplugins/kshellcmdplugin.rc
%_kf5_datadir/kf5/kbookmark/directory_bookmarkbar.desktop
%_kf5_datadir/kwebkitpart/kpartplugins/khtmlsettingsplugin.desktop
%_kf5_datadir/kwebkitpart/kpartplugins/khtmlsettingsplugin.rc
%_kf5_datadir/config.kcfg/konqueror.kcfg
%_kf5_services/bookmarks.desktop
%_kf5_services/filebehavior.desktop
%_kf5_services/kcmkonqyperformance.desktop
%_kf5_services/kcmperformance.desktop
%_kf5_services/khtml_appearance.desktop
%_kf5_services/khtml_behavior.desktop
%_kf5_services/khtml_filter.desktop
%_kf5_services/khtml_general.desktop
%_kf5_services/khtml_java_js.desktop
%_kf5_services/konq_aboutpage.desktop
%_kf5_services/org.kde.konqueror.desktop
%_kf5_services/webenginepart.desktop
%_kf5_servicetypes/konqaboutpage.desktop
%_kf5_datadir/konqueror/about/
%_kf5_datadir/konqueror/pics/
%_kf5_datadir/kxmlgui5/webenginepart/
%_kf5_datadir/dbus-1/interfaces/org.kde.Konqueror.Main.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.Konqueror.MainWindow.xml
%_kf5_iconsdir/*/*/*/konqueror.*
%_kf5_iconsdir/*/*/*/webengine.*
#%%_kf5_mandir/man1/%%{name}.1.*

#------------------------------------------------------------------------------

%package        handbook
Summary:        Konqueror Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1

%description    handbook
This package provides konqueror handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}/
%doc %_kf5_docdir/HTML/*/kcontrol5/

#------------------------------------------------------------------------------

%package -n     konq-plugins
Summary:        Konqueror plugins
Group:          Networking/WWW
Requires:       konqueror

%description -n konq-plugins
This module contains plugins that interact with Konqueror.

%files -n konq-plugins
%_kf5_sysconfdir/xdg/translaterc
%_kf5_bindir/fsview
%_qt5_plugindir/akregatorkonqfeedicon.so
%_qt5_plugindir/autorefresh.so
%_qt5_plugindir/babelfishplugin.so
%_qt5_plugindir/dirfilterplugin.so
%_qt5_plugindir/domtreeviewerplugin.so
%_qt5_plugindir/fsviewpart.so
%_qt5_plugindir/khtmlsettingsplugin.so
%_qt5_plugindir/kimgallery.so
%_qt5_plugindir/minitoolsplugin.so
%_qt5_plugindir/rellinksplugin.so
%_qt5_plugindir/searchbarplugin.so
%_qt5_plugindir/validatorsplugin.so
%_qt5_plugindir/webarchiverplugin.so
%_qt5_plugindir/webarchivethumbnail.so
%_kf5_datadir/akregator/pics/feed.png
%_kf5_datadir/dolphinpart/kpartplugins/dirfilterplugin.desktop
%_kf5_datadir/dolphinpart/kpartplugins/dirfilterplugin.rc
%_kf5_datadir/dolphinpart/kpartplugins/kimgalleryplugin.desktop
%_kf5_datadir/dolphinpart/kpartplugins/kimgalleryplugin.rc
%_kf5_datadir/domtreeviewer/domtreeviewerui.rc
%_kf5_datadir/fsview/fsview_part.rc
%_kf5_datadir/khtml/kpartplugins/akregator_konqfeedicon.desktop
%_kf5_datadir/khtml/kpartplugins/akregator_konqfeedicon.rc
%_kf5_datadir/khtml/kpartplugins/autorefresh.desktop
%_kf5_datadir/khtml/kpartplugins/autorefresh.rc
%_kf5_datadir/khtml/kpartplugins/khtmlsettingsplugin.desktop
%_kf5_datadir/khtml/kpartplugins/khtmlsettingsplugin.rc
%_kf5_datadir/khtml/kpartplugins/minitoolsplugin.desktop
%_kf5_datadir/khtml/kpartplugins/minitoolsplugin.rc
%_kf5_datadir/khtml/kpartplugins/plugin_translator.desktop
%_kf5_datadir/khtml/kpartplugins/plugin_babelfish.rc
%_kf5_datadir/khtml/kpartplugins/plugin_domtreeviewer.desktop
%_kf5_datadir/khtml/kpartplugins/plugin_domtreeviewer.rc
%_kf5_datadir/khtml/kpartplugins/plugin_rellinks.desktop
%_kf5_datadir/khtml/kpartplugins/plugin_rellinks.rc
%_kf5_datadir/khtml/kpartplugins/plugin_validators.desktop
%_kf5_datadir/khtml/kpartplugins/plugin_validators.rc
%_kf5_datadir/khtml/kpartplugins/plugin_webarchiver.desktop
%_kf5_datadir/khtml/kpartplugins/plugin_webarchiver.rc
%_kf5_datadir/konqueror/icons/hicolor/*/actions/google.png
%_kf5_datadir/konqueror/icons/oxygen/scalable/actions/google.svgz
%_kf5_datadir/konqueror/kpartplugins/searchbar.desktop
%_kf5_datadir/konqueror/kpartplugins/searchbar.rc
%_kf5_datadir/konqueror/opensearch/google.xml
%_kf5_datadir/kwebkitpart/kpartplugins/akregator_konqfeedicon.desktop
%_kf5_datadir/kwebkitpart/kpartplugins/akregator_konqfeedicon.rc
%_kf5_datadir/kwebkitpart/kpartplugins/autorefresh.desktop
%_kf5_datadir/kwebkitpart/kpartplugins/autorefresh.rc
%_kf5_datadir/kwebkitpart/kpartplugins/plugin_translator.desktop
%_kf5_datadir/kwebkitpart/kpartplugins/plugin_babelfish.rc
%_kf5_datadir/kwebkitpart/kpartplugins/plugin_validators.desktop
%_kf5_datadir/kwebkitpart/kpartplugins/plugin_validators.rc
%_kf5_datadir/config.kcfg/validators.kcfg
%_kf5_iconsdir/hicolor/*/apps/fsview.png
%_kf5_iconsdir/hicolor/*/actions/babelfish.png
%_kf5_iconsdir/hicolor/*/actions/cssvalidator.png
%_kf5_iconsdir/hicolor/*/actions/htmlvalidator.png
%_kf5_iconsdir/hicolor/*/actions/imagegallery.png
%_kf5_iconsdir/hicolor/*/actions/validators.png
%_kf5_iconsdir/hicolor/*/actions/webarchiver.png
%_kf5_iconsdir/oxygen/scalable/actions/htmlvalidator.svgz
%_kf5_iconsdir/oxygen/scalable/actions/validators.svgz
%_kf5_services/fsview_part.desktop
%_kf5_services/webarchivethumbnail.desktop

#------------------------------------------------------------------------------

%define kf5konq_major 6
%define libkf5konq %mklibname kf5konq %kf5konq_major

%package -n     %libkf5konq
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkf5konq
Runtime Library for Konqueror.

%files -n %libkf5konq
%_kf5_libdir/libKF5Konq.so.%{kf5konq_major}*
%_kf5_libdir/libKF5Konq.so.5*

#------------------------------------------------------------------------------

%define konquerorprivate_major 5
%define libkonquerorprivate %mklibname konquerorprivate %konquerorprivate_major

%package -n     %libkonquerorprivate
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %libkonquerorprivate
Runtime Library for Konqueror.

%files -n %libkonquerorprivate
%_kf5_libdir/libkonquerorprivate.so.%{konquerorprivate_major}*

#------------------------------------------------------------------------------

%define kf5konq_devel %mklibname kf5konq -d

%package -n     %kf5konq_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5konq = %epoch:%version-%release
Requires:       %libkonquerorprivate = %epoch:%version-%release
Provides:       %{name}-devel = %epoch:%version-%release

%description -n %kf5konq_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5konq_devel
%_kf5_includedir/*
%_kf5_libdir/lib*.so
%_kf5_libdir/cmake/KF5Konq/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202306
- New version 17.12.2
- New version 17.12.1

* Wed Jul 12 2017 daviddavid <daviddavid> 1:16.12.3-2.mga6
+ Revision: 1109671
- requires qtwebengine5 (mga#21234)

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090105
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076845
- New version 16.12.0

* Fri Dec 16 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075573
- imported package konqueror

